{"openapi":"3.0.4","info":{"title":"Get Virtual Document Rows","description":"Retrieve the rows of the virtual document with the specified identifiers and the given effectiveAt date time.\r\n\r\nGet virtual document rows merges multiple StructuredResultData items upserted with UpsertStructuredResultData\r\nfor a single StructuredResultDataId.\r\n            \r\nSince an item of StructuredResultData is always upserted with a StructuredResultDataId, of which\r\neffectiveAt is a part, then merging across the asAt dimension is supported but not merging across the\r\neffectiveAt dimension.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/unitresults/virtualdocument/{scope}/{code}/{source}/{resultType}":{"get":{"tags":["Structured Result Data"],"summary":"Get Virtual Document Rows","description":"Retrieve the rows of the virtual document with the specified identifiers and the given effectiveAt date time.\r\n\r\nGet virtual document rows merges multiple StructuredResultData items upserted with UpsertStructuredResultData\r\nfor a single StructuredResultDataId.\r\n            \r\nSince an item of StructuredResultData is always upserted with a StructuredResultDataId, of which\r\neffectiveAt is a part, then merging across the asAt dimension is supported but not merging across the\r\neffectiveAt dimension.","operationId":"GetVirtualDocumentRows","parameters":[{"name":"scope","in":"path","description":"The scope in which to retrieve the virtual document.","required":true,"schema":{"maxLength":256,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the virtual document to retrieve.","required":true,"schema":{"maxLength":256,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"source","in":"path","description":"The source of the virtual document to retrieve.","required":true,"schema":{"maxLength":256,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"resultType","in":"path","description":"The result type of the virtual document to retrieve.","required":true,"schema":{"type":"string"}},{"name":"effectiveAt","in":"query","description":"The effectiveAt datetime at which to retrieve the virtual document.","required":true,"schema":{"type":"string","format":"dateorcutlabel"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the virtual document. Defaults to returning the latest version if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"page","in":"query","description":"The pagination token to use to continue listing virtual document rows from a previous\r\n             call to list virtual document rows. This value is returned from the previous call. If a pagination token is\r\n             provided the filter, effectiveAt, and asAt fields must not have changed since the original request.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"limit","in":"query","description":"When paginating, limit the number of returned results to this many.","schema":{"maximum":5000,"minimum":1,"type":"integer","format":"int32"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the result set. Read more about filtering results from LUSID here:\r\n             https://support.lusid.com/filtering-results-from-lusid.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}}],"responses":{"200":{"description":"The rows of the virtual document.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfVirtualRow"},"example":{"values":[{"rowId":{"Instrument/default/LusidInstrumentId":"LUID_11111111"},"rowData":{"Valuation/PV":{"units":"GBP","value":123.2,"dimension":0,"resultValueType":"ResultValue0D"},"Instrument/default/Name":{"value":"instr1","resultValueType":"ResultValueString"}}},{"rowId":{"Instrument/default/LusidInstrumentId":"LUID_22222222"},"rowData":{"Valuation/PV":{"units":"GBP","value":45.9,"dimension":0,"resultValueType":"ResultValue0D"},"Instrument/default/Name":{"value":"instr2","resultValueType":"ResultValueString"}}}],"href":"https://myco.lusid.com/api/api/virtualdocument/TestScope/TestCode/Client/Risk/","links":[]}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfVirtualRow"},"example":{"values":[{"rowId":{"Instrument/default/LusidInstrumentId":"LUID_11111111"},"rowData":{"Valuation/PV":{"units":"GBP","value":123.2,"dimension":0,"resultValueType":"ResultValue0D"},"Instrument/default/Name":{"value":"instr1","resultValueType":"ResultValueString"}}},{"rowId":{"Instrument/default/LusidInstrumentId":"LUID_22222222"},"rowData":{"Valuation/PV":{"units":"GBP","value":45.9,"dimension":0,"resultValueType":"ResultValue0D"},"Instrument/default/Name":{"value":"instr2","resultValueType":"ResultValueString"}}}],"href":"https://myco.lusid.com/api/api/virtualdocument/TestScope/TestCode/Client/Risk/","links":[]}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfVirtualRow"},"example":{"values":[{"rowId":{"Instrument/default/LusidInstrumentId":"LUID_11111111"},"rowData":{"Valuation/PV":{"units":"GBP","value":123.2,"dimension":0,"resultValueType":"ResultValue0D"},"Instrument/default/Name":{"value":"instr1","resultValueType":"ResultValueString"}}},{"rowId":{"Instrument/default/LusidInstrumentId":"LUID_22222222"},"rowData":{"Valuation/PV":{"units":"GBP","value":45.9,"dimension":0,"resultValueType":"ResultValue0D"},"Instrument/default/Name":{"value":"instr2","resultValueType":"ResultValueString"}}}],"href":"https://myco.lusid.com/api/api/virtualdocument/TestScope/TestCode/Client/Risk/","links":[]}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}